import { EventEmitter, OnChanges, OnDestroy, OnInit } from '@angular/core';
import 'rxjs/add/observable/fromEvent';
import 'rxjs/add/observable/merge';
import 'rxjs/add/operator/switchMapTo';
import 'rxjs/add/operator/takeUntil';
import 'rxjs/add/operator/throttleTime';
import 'rxjs/add/operator/do';
import { IArc, IOutput, IProps, ISegment, ISliderChanges } from '../interfaces';
export declare class NgxCircularSliderComponent implements OnChanges, OnInit, OnDestroy {
    props: IProps;
    startAngle: number;
    angleLength: number;
    update: EventEmitter<IOutput>;
    segments: ISegment[];
    start: IArc;
    stop: IArc;
    private startSubscription;
    private stopSubscription;
    private circleCenterX;
    private circleCenterY;
    private circle;
    private stopIcon;
    private startIcon;
    private static extractMouseEventCoords(evt);
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: ISliderChanges): void;
    ngOnDestroy(): void;
    private onUpdate();
    private setObservables();
    private closeStreams();
    private handleStartPan(evt);
    private handleStopPan(evt);
    private calcStartAndStop();
    private calculateArcColor(index, segments, gradientColorFrom, gradientColorTo);
    private calculateArcCircle(indexInput, segments, radius, startAngleInput?, angleLengthInput?);
    private createSegments();
    private setCircleCenter();
    getContainerWidth(): number;
    getGradientId(index: any): string;
    getGradientUrl(index: any): string;
    getTranslate(): string;
    getTranslateFrom(x: any, y: any): string;
}
